Skip to content
Go to platform

Get compute usage

GET
/v1preview1/usage
curl --request GET \
--url 'https://api.craci.dev/v1preview1/usage?start=2026-08-01T00%3A00%3A00Z&end=2026-09-01T00%3A00%3A00Z' \
--header 'Authorization: Bearer <token>'

Get the authenticated organization's total completed-job usage from the billing system for a time range.

start
required
string format: date-time

Start of the usage period, inclusive, as an RFC 3339 timestamp.

Example
2026-08-01T00:00:00Z
end
required
string format: date-time

End of the usage period, exclusive, as an RFC 3339 timestamp.

Example
2026-09-01T00:00:00Z

Compute usage

Media typeapplication/json
object
end
required

Exclusive end of the reported period.

string format: date-time
start
required

Inclusive start of the reported period.

string format: date-time
total
required
object
vcpuSeconds
required

Billed compute usage before conversion to vCPU-minutes.

integer format: int64
Examplegenerated
{
"end": "2026-04-15T12:00:00Z",
"start": "2026-04-15T12:00:00Z",
"total": {
"vcpuSeconds": 1
}
}

Missing or invalid filters

Media typeapplication/problem+json
API problem
object
detail
required

Human-readable explanation specific to this occurrence.

string
status
required

HTTP status code returned with the problem.

integer format: int32
title
required

Short, human-readable summary of the problem.

string
type
required

URI identifying the problem type. about:blank uses the HTTP status meaning.

string
Examplegenerated
{
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Missing, invalid, expired, or revoked token

Media typeapplication/problem+json
API problem
object
detail
required

Human-readable explanation specific to this occurrence.

string
status
required

HTTP status code returned with the problem.

integer format: int32
title
required

Short, human-readable summary of the problem.

string
type
required

URI identifying the problem type. about:blank uses the HTTP status meaning.

string
Examplegenerated
{
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Billing service unavailable

Media typeapplication/problem+json
API problem
object
detail
required

Human-readable explanation specific to this occurrence.

string
status
required

HTTP status code returned with the problem.

integer format: int32
title
required

Short, human-readable summary of the problem.

string
type
required

URI identifying the problem type. about:blank uses the HTTP status meaning.

string
Examplegenerated
{
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}